## org.omg.CORBA
Class StructDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.StructDefHelper

public class StructDefHelper
extends java.lang.Object

Helper class for : StructDef

Author:
  OpenORB Compiler

Constructor Summary
`StructDefHelper()`

Method Summary
`static StructDef` `extract(Any a)` Extract StructDef from an any
`static java.lang.String` `id()` Return the StructDef IDL ID
`static void` `insert(Any a, StructDef t)` Insert StructDef into an any
`static StructDef` `narrow(Object obj)` Narrow CORBA::Object to StructDef
`static StructDef` `read(InputStream istream)` Read StructDef from a marshalled stream
`static TypeCode` `type()` Return the StructDef TypeCode
`static StructDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to StructDef
`static void` `write(OutputStream ostream, StructDef value)` Write StructDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructDefHelper

    public StructDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              StructDef t)

  Insert StructDef into an any
  Parameters:
    `a` - an any
    `t` - StructDef value

### extract

    public static StructDef extract(Any a)

  Extract StructDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted StructDef value

### type

    public static TypeCode type()

  Return the StructDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the StructDef IDL ID
  Returns:
    an ID

### read

    public static StructDef read(InputStream istream)

  Read StructDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed StructDef value

### write

    public static void write(OutputStream ostream,
                             StructDef value)

  Write StructDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - StructDef value

### narrow

    public static StructDef narrow(Object obj)

  Narrow CORBA::Object to StructDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    StructDef Object

### unchecked_narrow

    public static StructDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to StructDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    StructDef Object